<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Add contact</title>
</head>
<body>
<form action="/editcontact" method="post" th:object="${wrapperOfContacts}">
    <input hidden="true" type="text" th:field="${wrapperOfContacts.id}">
    <input readonly="true" type="text" th:field="${wrapperOfContacts.contact}" placeholder="type name here">&nbsp;&nbsp;Name
    of contact<br><br>
    <table style="border-collapse: collapse; border: 0px solid gray;">
        <tr>
            <td style="vertical-align: top">
                <div th:each="phone, itemStat : *{phoneList}">
                    <input readonly="true" th:field="*{phoneList[__${itemStat.index}__].phoneNumber}"
                           placeholder="type phone number">&nbsp;
                    <a th:href="@{/delete/{userid}/phone/{phoneid}(userid=${wrapperOfContacts.getId()},phoneid=${phone.getId()})}">
                        delete phone</a>&nbsp;&nbsp;
                    <br><br>
                    <input hidden="true" th:field="*{phoneList[__${itemStat.index}__].id}">
                </div>
            </td>
            <td style="vertical-align: top">
                <div th:each="email, itemStat : *{emailList}">
                    <input readonly="true" th:field="*{emailList[__${itemStat.index}__].emailAddress}"
                           placeholder="type email here">&nbsp;&nbsp;
                    <a th:href="@{/delete/{userid}/email/{emailid}(userid=${wrapperOfContacts.getId()},emailid=${email.getId()})}">
                        delete email</a>&nbsp;&nbsp;
                    <br><br>
                    <input hidden="true" th:field="*{emailList[__${itemStat.index}__].id}">
                </div>
            </td>
        </tr>
    </table>
    <br>
    <input type="submit" value="edit contact">
</form>
<br>
<form action="/main" method="get">
    <input type="submit" value="домой">
</form>
</body>
</html>